import { Column, Entity } from 'typeorm';

export function MultiNamed<T extends Constructor>(BaseClass: T) {
  @Entity()
  class MixinClass extends BaseClass {
    @Column()
    public nameCanonical: string;

    @Column('simple-array')
    public names: string[];
  }

  return MixinClass;
}
