import { Column, Entity } from 'typeorm';

export function Rateable<T extends Constructor>(BaseClass: T) {
  @Entity()
  class MixinClass extends BaseClass {
    @Column({ nullable: true })
    public rating: number;
  }

  return MixinClass;
}
